#!/bin/bash

. bin/variables.sh

echo -e "${PURPLE}${BOLD}Create user${RESET}"

read -p "Enter username: " username

if id "$username" &>/dev/null; then
    echo "User '$username' already exists."
    exit 1
fi

echo -e "${ORANGE}${BOLD}Generate and store the password somewhere safe${RESET}"
read -s -p "Enter password: " password
echo
useradd -m "$username"
chsh -s /bin/bash $username
echo "$username:$password" | chpasswd

usermod -aG sudo $username

echo -e "${PURPLE}${BOLD}User '$username' created with password successfully.${RESET}"