#!/bin/bash

. bin/variables.sh
. bin/functions.sh

echo -e "${PURPLE}${BOLD}Setup Firewall and Fail2ban${RESET}"
install_pkg ufw
install_pkg fail2ban
systemctl enable fail2ban
get_ssh_port
ufw allow $ssh_port
ufw allow http
ufw allow https

echo -e "${PURPLE}Firewall and Fail2ban are setup${RESET}"