#!/bin/bash

. bin/variables.sh

echo -e "${PURPLE}${BOLD}Setup SSH${RESET}"

ssh_port=$((RANDOM % (65536 - 1024 + 1) + 1024))

touch /etc/ssh/sshd_config.d/custom.conf
echo "PermitRootLogin no" >> /etc/ssh/sshd_config.d/custom.conf
echo "PermitEmptyPasswords no" >> /etc/ssh/sshd_config.d/custom.conf
echo "Port ${ssh_port}" >> /etc/ssh/sshd_config.d/custom.conf
systemctl reload ssh

echo -e "${ORANGE}${BOLD}Store the ssh port ${ssh_port} somewhere safe${RESET}"